LogStream (Java Platform SE 8 )
Keywords: java.rmi.server.LogStream class
Date: 2017-01-22

compact2, compact3
java.rmi.server

## Class LogStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - java.rmi.server.LogStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

  Deprecated.
  no replacement

      @Deprecated
      public class LogStream
      extends PrintStream

  `LogStream` provides a mechanism for logging errors that are of possible interest to those monitoring a system.
  Since:
    JDK1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BRIEF` Deprecated. log level constant (brief logging).
    `static int` | `SILENT` Deprecated. log level constant (no logging).
    `static int` | `VERBOSE` Deprecated. log level constant (verbose logging).

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PrintStream` | `getDefaultStream()` Deprecated. no replacement
    `OutputStream` | `getOutputStream()` Deprecated. no replacement
    `static LogStream` | `log(String name)` Deprecated. no replacement
    `static int` | `parseLevel(String s)` Deprecated. no replacement
    `static void` | `setDefaultStream(PrintStream newDefault)` Deprecated. no replacement
    `void` | `setOutputStream(OutputStream out)` Deprecated. no replacement
    `String` | `toString()` Deprecated. no replacement
    `void` | `write(byte[] b, int off, int len)` Deprecated. no replacement
    `void` | `write(int b)` Deprecated. no replacement

    - ### Methods inherited from class java.io.PrintStream

      `append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SILENT

          public static final int SILENT

      Deprecated.
      log level constant (no logging).
      See Also:
        Constant Field Values

    - #### BRIEF

          public static final int BRIEF

      Deprecated.
      log level constant (brief logging).
      See Also:
        Constant Field Values

    - #### VERBOSE

          public static final int VERBOSE

      Deprecated.
      log level constant (verbose logging).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### log

          @Deprecated
          public static LogStream log(String name)

      Deprecated. no replacement
      Return the LogStream identified by the given name. If a log corresponding to "name" does not exist, a log using the default stream is created.
      Parameters:
        `name` - name identifying the desired LogStream
      Returns:
        log associated with given name
      Since:
        JDK1.1

    - #### getDefaultStream

          @Deprecated
          public static PrintStream getDefaultStream()

      Deprecated. no replacement
      Return the current default stream for new logs.
      Returns:
        default log stream
      Since:
        JDK1.1
      See Also:
        `setDefaultStream(java.io.PrintStream)`

    - #### setDefaultStream

          @Deprecated
          public static void setDefaultStream(PrintStream newDefault)

      Deprecated. no replacement
      Set the default stream for new logs.
      Parameters:
        `newDefault` - new default log stream
      Since:
        JDK1.1
      See Also:
        `getDefaultStream()`

    - #### getOutputStream

          @Deprecated
          public OutputStream getOutputStream()

      Deprecated. no replacement
      Return the current stream to which output from this log is sent.
      Returns:
        output stream for this log
      Since:
        JDK1.1
      See Also:
        `setOutputStream(java.io.OutputStream)`

    - #### setOutputStream

          @Deprecated
          public void setOutputStream(OutputStream out)

      Deprecated. no replacement
      Set the stream to which output from this log is sent.
      Parameters:
        `out` - new output stream for this log
      Since:
        JDK1.1
      See Also:
        `getOutputStream()`

    - #### write

          @Deprecated
          public void write(int b)

      Deprecated. no replacement
      Write a byte of data to the stream. If it is not a newline, then the byte is appended to the internal buffer. If it is a newline, then the currently buffered line is sent to the log's output stream, prefixed with the appropriate logging information.
      Overrides:
        `write` in class `PrintStream`
      Parameters:
        `b` - The byte to be written
      Since:
        JDK1.1
      See Also:
        `PrintStream.print(char)`, `PrintStream.println(char)`

    - #### write

          @Deprecated
          public void write(byte[] b,
                                        int off,
                                        int len)

      Deprecated. no replacement
      Write a subarray of bytes. Pass each through write byte method.
      Overrides:
        `write` in class `PrintStream`
      Parameters:
        `b` - A byte array
        `off` - Offset from which to start taking bytes
        `len` - Number of bytes to write
      Since:
        JDK1.1
      See Also:
        `FilterOutputStream.write(int)`

    - #### toString

          @Deprecated
          public String toString()

      Deprecated. no replacement
      Return log name as string representation.
      Overrides:
        `toString` in class `Object`
      Returns:
        log name
      Since:
        JDK1.1

    - #### parseLevel

          @Deprecated
          public static int parseLevel(String s)

      Deprecated. no replacement
      Convert a string name of a logging level to its internal integer representation.
      Parameters:
        `s` - name of logging level (e.g., 'SILENT', 'BRIEF', 'VERBOSE')
      Returns:
        corresponding integer log level
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.